Table of Contents

Class: IReactorTime | Twisted-0.17.4/twisted/internet/interfaces.py
--- | ---

Time methods that a Reactor should implement.

Base Classes |
--- | ---
Interface

Methods |
--- | ---
callLater cancelCallLater
| callLater

    callLater (
            self,
            delay,
            callable,
            *args,
            *kw,
            )

### Call a function later.

#### Arguments:

- delay: the number of seconds to wait.

- callable: the callable object to call later.

- *args: the arguments to call it with.

- **kw: they keyword arguments to call it with.

#### Returns:

An ID that can be used to cancel the call, using cancelCallLater.

| cancelCallLater

    cancelCallLater ( self,  callID )

### Cancel a call that would happen later.

#### Arguments:

- callID: this is an opaque identifier returned from callLater that wil be used to cancel a specific call.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0